<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_kernel_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_kernel_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__kernel.html">Kernel APIs</a>]</small>
</h1><!-- doxytag: class="tivx_kernel_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Kernel object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#acfbb4895979ef55b8dc09c572b7075c0">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference object  <a href="#acfbb4895979ef55b8dc09c572b7075c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#a6c336a924c851366d1dabb837c244a0d">name</a> [VX_MAX_KERNEL_NAME]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">name of kernel  <a href="#a6c336a924c851366d1dabb837c244a0d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#a3b71abe3f58c8f250c3f5f10cfd9a0f3">enumeration</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">enum associated with this kernel  <a href="#a3b71abe3f58c8f250c3f5f10cfd9a0f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__signature__t.html">tivx_signature_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#adc3850b72f095a20b051bda5d67716f3">signature</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">parameter signature of this kernel  <a href="#adc3850b72f095a20b051bda5d67716f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a69cfdc6762850b1afdffcdbebaab8eb9">vx_kernel_validate_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#ad6704409eeb206ff8698121f8c1ef34f">validate</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The parameters validator.  <a href="#ad6704409eeb206ff8698121f8c1ef34f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a512f8da4d07b02aa9827c5d6f1af0b26">vx_kernel_initialize_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#acb2f9143dfc6c1d30dd29f28f4ee9742">initialize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The initialization function.  <a href="#acb2f9143dfc6c1d30dd29f28f4ee9742"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a5e86f87af69c68e3066c4b745498048c">vx_kernel_deinitialize_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#aa9d3d74adaed638d933e5c181fcd0b09">deinitialize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The deinitialization function.  <a href="#aa9d3d74adaed638d933e5c181fcd0b09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a970c28a9c06c23c8567229d50ab341dc">vx_kernel_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#a2d0ab6b9ed267690cbd13d8a219c7d57">function</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The pointer to the function to execute the kernel.  <a href="#a2d0ab6b9ed267690cbd13d8a219c7d57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#af8e9b75c7d975818143bc06c6897f778">num_targets</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of supported targets  <a href="#af8e9b75c7d975818143bc06c6897f778"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#a7c5a152bcb2070d29d63e36fc8c67de8">target_name</a> [TIVX_MAX_TARGETS_PER_KERNEL][TIVX_TARGET_MAX_NAME]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">target names, index 0 is the default or preferred target for this kernel  <a href="#a7c5a152bcb2070d29d63e36fc8c67de8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#aa9c7555b6d372c72a6c3cdfac04ff6b5">local_data_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Local data size for user kernels.  <a href="#aa9c7555b6d372c72a6c3cdfac04ff6b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#aae966b4e2d599a0af197c4dd117c1ba7">is_target_kernel</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to check if this is a user kernel or target kernel.  <a href="#aae966b4e2d599a0af197c4dd117c1ba7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html#ab7dd06f256af6a728ac64620022e392f">lock_kernel_remove</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">when this flag is true, kernel cannot be removed via remove kernel API  <a href="#ab7dd06f256af6a728ac64620022e392f"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="acfbb4895979ef55b8dc09c572b7075c0"></a><!-- doxytag: member="tivx_kernel_t::base" ref="acfbb4895979ef55b8dc09c572b7075c0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__kernel__t.html#acfbb4895979ef55b8dc09c572b7075c0">tivx_kernel_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference object </p>

</div>
</div>
<a class="anchor" id="a6c336a924c851366d1dabb837c244a0d"></a><!-- doxytag: member="tivx_kernel_t::name" ref="a6c336a924c851366d1dabb837c244a0d" args="[VX_MAX_KERNEL_NAME]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a> <a class="el" href="structtivx__kernel__t.html#a6c336a924c851366d1dabb837c244a0d">tivx_kernel_t::name</a>[VX_MAX_KERNEL_NAME]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>name of kernel </p>

</div>
</div>
<a class="anchor" id="a3b71abe3f58c8f250c3f5f10cfd9a0f3"></a><!-- doxytag: member="tivx_kernel_t::enumeration" ref="a3b71abe3f58c8f250c3f5f10cfd9a0f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__kernel__t.html#a3b71abe3f58c8f250c3f5f10cfd9a0f3">tivx_kernel_t::enumeration</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>enum associated with this kernel </p>

</div>
</div>
<a class="anchor" id="adc3850b72f095a20b051bda5d67716f3"></a><!-- doxytag: member="tivx_kernel_t::signature" ref="adc3850b72f095a20b051bda5d67716f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__signature__t.html">tivx_signature_t</a> <a class="el" href="structtivx__kernel__t.html#adc3850b72f095a20b051bda5d67716f3">tivx_kernel_t::signature</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>parameter signature of this kernel </p>

</div>
</div>
<a class="anchor" id="ad6704409eeb206ff8698121f8c1ef34f"></a><!-- doxytag: member="tivx_kernel_t::validate" ref="ad6704409eeb206ff8698121f8c1ef34f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a69cfdc6762850b1afdffcdbebaab8eb9">vx_kernel_validate_f</a> <a class="el" href="structtivx__kernel__t.html#ad6704409eeb206ff8698121f8c1ef34f">tivx_kernel_t::validate</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The parameters validator. </p>

</div>
</div>
<a class="anchor" id="acb2f9143dfc6c1d30dd29f28f4ee9742"></a><!-- doxytag: member="tivx_kernel_t::initialize" ref="acb2f9143dfc6c1d30dd29f28f4ee9742" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a512f8da4d07b02aa9827c5d6f1af0b26">vx_kernel_initialize_f</a> <a class="el" href="structtivx__kernel__t.html#acb2f9143dfc6c1d30dd29f28f4ee9742">tivx_kernel_t::initialize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The initialization function. </p>

</div>
</div>
<a class="anchor" id="aa9d3d74adaed638d933e5c181fcd0b09"></a><!-- doxytag: member="tivx_kernel_t::deinitialize" ref="aa9d3d74adaed638d933e5c181fcd0b09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a5e86f87af69c68e3066c4b745498048c">vx_kernel_deinitialize_f</a> <a class="el" href="structtivx__kernel__t.html#aa9d3d74adaed638d933e5c181fcd0b09">tivx_kernel_t::deinitialize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The deinitialization function. </p>

</div>
</div>
<a class="anchor" id="a2d0ab6b9ed267690cbd13d8a219c7d57"></a><!-- doxytag: member="tivx_kernel_t::function" ref="a2d0ab6b9ed267690cbd13d8a219c7d57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a970c28a9c06c23c8567229d50ab341dc">vx_kernel_f</a> <a class="el" href="structtivx__kernel__t.html#a2d0ab6b9ed267690cbd13d8a219c7d57">tivx_kernel_t::function</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The pointer to the function to execute the kernel. </p>

</div>
</div>
<a class="anchor" id="af8e9b75c7d975818143bc06c6897f778"></a><!-- doxytag: member="tivx_kernel_t::num_targets" ref="af8e9b75c7d975818143bc06c6897f778" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__kernel__t.html#af8e9b75c7d975818143bc06c6897f778">tivx_kernel_t::num_targets</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of supported targets </p>

</div>
</div>
<a class="anchor" id="a7c5a152bcb2070d29d63e36fc8c67de8"></a><!-- doxytag: member="tivx_kernel_t::target_name" ref="a7c5a152bcb2070d29d63e36fc8c67de8" args="[TIVX_MAX_TARGETS_PER_KERNEL][TIVX_TARGET_MAX_NAME]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char <a class="el" href="structtivx__kernel__t.html#a7c5a152bcb2070d29d63e36fc8c67de8">tivx_kernel_t::target_name</a>[TIVX_MAX_TARGETS_PER_KERNEL][TIVX_TARGET_MAX_NAME]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>target names, index 0 is the default or preferred target for this kernel </p>

</div>
</div>
<a class="anchor" id="aa9c7555b6d372c72a6c3cdfac04ff6b5"></a><!-- doxytag: member="tivx_kernel_t::local_data_size" ref="aa9c7555b6d372c72a6c3cdfac04ff6b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__kernel__t.html#aa9c7555b6d372c72a6c3cdfac04ff6b5">tivx_kernel_t::local_data_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Local data size for user kernels. </p>

</div>
</div>
<a class="anchor" id="aae966b4e2d599a0af197c4dd117c1ba7"></a><!-- doxytag: member="tivx_kernel_t::is_target_kernel" ref="aae966b4e2d599a0af197c4dd117c1ba7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__kernel__t.html#aae966b4e2d599a0af197c4dd117c1ba7">tivx_kernel_t::is_target_kernel</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag to check if this is a user kernel or target kernel. </p>

</div>
</div>
<a class="anchor" id="ab7dd06f256af6a728ac64620022e392f"></a><!-- doxytag: member="tivx_kernel_t::lock_kernel_remove" ref="ab7dd06f256af6a728ac64620022e392f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__kernel__t.html#ab7dd06f256af6a728ac64620022e392f">tivx_kernel_t::lock_kernel_remove</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>when this flag is true, kernel cannot be removed via remove kernel API </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
